Holger's Java API

## com.antelmann.io
Class FileNamePatternFilter

    java.lang.Object
      com.antelmann.io.FileNamePatternFilter

    public class FileNamePatternFilter

extends Object

filters by matching the file name to a regular expression.

Author:
  Holger Antelmann

Constructor Summary
`FileNamePatternFilter(String regexFileName)`
`FileNamePatternFilter(String regexFileName, boolean includeFullPath)`

Method Summary
`boolean` `accept(File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileNamePatternFilter

    public FileNamePatternFilter(String regexFileName)

### FileNamePatternFilter

    public FileNamePatternFilter(String regexFileName,
                                 boolean includeFullPath)

Method Detail

### accept

    public boolean accept(File file)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads